## newsbeuter 0.4

=== Makefile ===

PACKAGE=newsbeuter

# important directories
prefix=/usr/local
datadir=$(prefix)/share
localedir=$(datadir)/locale
docdir=$(datadir)/doc/$(PACKAGE)

# compiler
CXX=c++

# compiler and linker flags
DEFINES=-D_ENABLE_NLS -DLOCALEDIR=\"$(localedir)\" -DPACKAGE=\"$(PACKAGE)\"
CXXFLAGS=-ggdb -I./include -I./stfl -I. -I/usr/local/include -I/sw/include -Wall $(DEFINES)
LDFLAGS=-L. -L/usr/local/lib -L/sw/lib

# libraries to link with
# LIBS=-lstfl -lmrss -lnxml -lncurses -lsqlite3 -lidn -lpthread

ifeq ($(DEBUG),1)
DEFINES+=-DDEBUG
endif

#SRC=$(wildcard *.cpp) $(wildcard src/*.cpp)
#OBJS=$(patsubst %.cpp,%.o,$(SRC))

LIB_SOURCES=$(shell cat libbeuter.deps)
LIB_OBJS=$(patsubst %.cpp,%.o,$(LIB_SOURCES))
LIB_OUTPUT=libbeuter.a

NEWSBEUTER=$(PACKAGE)
NEWSBEUTER_SOURCES=$(shell cat newsbeuter.deps)
NEWSBEUTER_OBJS=$(patsubst %.cpp,%.o,$(NEWSBEUTER_SOURCES))
NEWSBEUTER_LIBS=-lbeuter -lstfl -lmrss -lnxml -lncursesw -lsqlite3 -lpthread -lcurl


PODBEUTER=podbeuter
PODBEUTER_SOURCES=$(shell cat podbeuter.deps)
PODBEUTER_OBJS=$(patsubst %.cpp,%.o,$(PODBEUTER_SOURCES))
PODBEUTER_LIBS=-lbeuter -lstfl -lncursesw -lpthread -lcurl

ifneq ($(shell uname -s),Linux)
NEWSBEUTER_LIBS+=-liconv -lintl
PODBEUTER_LIBS+=-liconv -lintl
endif

# additional commands
MKDIR=mkdir -p
INSTALL=install
A2X=a2x
MSGFMT=msgfmt
RANLIB=ranlib
AR=ar

STFLHDRS=$(patsubst %.stfl,%.h,$(wildcard stfl/*.stfl))
POFILES=$(wildcard po/*.po)
MOFILES=$(patsubst %.po,%.mo,$(POFILES))
POTFILE=po/$(PACKAGE).pot

STFLCONV=./stfl2h.pl
RM=rm -f

all: $(NEWSBEUTER) $(PODBEUTER)

$(NEWSBEUTER): $(MOFILES) $(STFLHDRS) $(LIB_OUTPUT) $(NEWSBEUTER_OBJS)
	$(CXX) $(LDFLAGS) $(CXXFLAGS) -o $(NEWSBEUTER) $(NEWSBEUTER_OBJS) $(NEWSBEUTER_LIBS)

$(PODBEUTER): $(MOFILES) $(STFLHDRS) $(LIB_OUTPUT) $(PODBEUTER_OBJS)
	$(CXX) $(LDFLAGS) $(CXXFLAGS) -o $(PODBEUTER) $(PODBEUTER_OBJS) $(PODBEUTER_LIBS)

$(LIB_OUTPUT): $(LIB_OBJS)
	$(RM) $@
	$(AR) qc $@ $^
	$(RANLIB) $@

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -o $@ -c $<

%.h: %.stfl
	$(STFLCONV) $< > $@


testpp: src/xmlpullparser.cpp testpp.cpp
	$(CXX) -I./include -pg -g -D_TESTPP src/xmlpullparser.cpp testpp.cpp -o testpp

clean-newsbeuter:
	$(RM) $(NEWSBEUTER) $(NEWSBEUTER_OBJS)

clean-podbeuter:
	$(RM) $(PODBEUTER) $(PODBEUTER_OBJS)

clean-libbeuter:
	$(RM) $(LIB_OUTPUT) $(LIB_OBJS)

clean: clean-newsbeuter clean-podbeuter clean-libbeuter
	$(RM) $(STFLHDRS)

distclean: clean clean-mo
	$(RM) core *.core core.*

doc:
	$(MKDIR) doc/xhtml
	$(A2X) -f xhtml -d doc/xhtml doc/newsbeuter.txt

install: install-mo
	$(MKDIR) $(prefix)/bin
	$(INSTALL) $(NEWSBEUTER) $(prefix)/bin
	$(INSTALL) $(PODBEUTER) $(prefix)/bin
	$(MKDIR) $(prefix)/share/man/man1
	$(INSTALL) doc/$(NEWSBEUTER).1 $(prefix)/share/man/man1
	$(INSTALL) doc/$(PODBEUTER).1 $(prefix)/share/man/man1
	$(MKDIR) $(docdir)
	$(INSTALL) -m 644 doc/xhtml/* $(docdir) || true

uninstall:
	$(RM) $(prefix)/bin/$(NEWSBEUTER)
	$(RM) $(prefix)/bin/$(PODBEUTER)
	$(RM) $(prefix)/share/man/man1/$(NEWSBEUTER).1
	$(RM) $(prefix)/share/man/man1/$(PODBEUTER).1
	$(RM) -r $(docdir)

.PHONY: doc clean all test

# the following targets are i18n/l10n-related:

extract:
	$(RM) $(POTFILE)
	xgettext -k_ -o $(POTFILE) *.cpp src/*.cpp

msgmerge:
	for f in $(POFILES) ; do msgmerge -U $$f $(POTFILE) ; done

%.mo: %.po
	$(MSGFMT) --statistics -o $@ $<

clean-mo:
	$(RM) $(MOFILES) po/*~

install-mo:
	$(MKDIR) $(datadir)
	@for mof in $(MOFILES) ; do \
		mofile=`basename $$mof` ; \
		lang=`echo $$mofile | sed 's/\.mo$$//'`; \
		dir=$(localedir)/$$lang/LC_MESSAGES; \
		$(MKDIR) $$dir ; \
		$(INSTALL) -m 644 $$mof $$dir/$(PACKAGE).mo ; \
		echo "Installing $$mofile as $$dir/$(PACKAGE).mo" ; \
	done

TEST_OBJS=$(patsubst test/%.cpp,test/%.o,$(wildcard test/*.cpp))

test: $(LIB_OUTPUT) $(NEWSBEUTER_OBJS) $(TEST_OBJS)
	$(CXX) $(LDFLAGS) $(CXXFLAGS) -o test/test src/rss.o src/cache.o src/xmlpullparser.o src/urlreader.o $(TEST_OBJS) $(NEWSBEUTER_LIBS) -lboost_unit_test_framework

test-clean:
	$(RM) test/test test/test.o

## newsbeuter 0.7

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,8 @@
 
 # compiler and linker flags
 DEFINES=-D_ENABLE_NLS -DLOCALEDIR=\"$(localedir)\" -DPACKAGE=\"$(PACKAGE)\"
-CXXFLAGS=-ggdb -I./include -I./stfl -I. -I/usr/local/include -I/sw/include -Wall $(DEFINES)
+WARNFLAGS=-Wall -W
+CXXFLAGS=-ggdb -I./include -I./stfl -I./filter -I. -I/usr/local/include -I/sw/include $(WARNFLAGS) $(DEFINES)
 LDFLAGS=-L. -L/usr/local/lib -L/sw/lib
 
 # libraries to link with
@@ -29,10 +30,14 @@
 LIB_OBJS=$(patsubst %.cpp,%.o,$(LIB_SOURCES))
 LIB_OUTPUT=libbeuter.a
 
+FILTERLIB_SOURCES=filter/Scanner.cpp filter/Parser.cpp filter/FilterParser.cpp
+FILTERLIB_OBJS=$(patsubst %.cpp,%.o,$(FILTERLIB_SOURCES))
+FILTERLIB_OUTPUT=libfilter.a
+
 NEWSBEUTER=$(PACKAGE)
 NEWSBEUTER_SOURCES=$(shell cat newsbeuter.deps)
 NEWSBEUTER_OBJS=$(patsubst %.cpp,%.o,$(NEWSBEUTER_SOURCES))
-NEWSBEUTER_LIBS=-lbeuter -lstfl -lmrss -lnxml -lncursesw -lsqlite3 -lpthread -lcurl
+NEWSBEUTER_LIBS=-lbeuter -lfilter -lstfl -lmrss -lnxml -lncursesw -lsqlite3 -lpthread -lcurl
 
 
 PODBEUTER=podbeuter
@@ -63,7 +68,8 @@
 
 all: $(NEWSBEUTER) $(PODBEUTER)
 
-$(NEWSBEUTER): $(MOFILES) $(STFLHDRS) $(LIB_OUTPUT) $(NEWSBEUTER_OBJS)
+
+$(NEWSBEUTER): $(MOFILES) $(STFLHDRS) $(LIB_OUTPUT) $(FILTERLIB_OUTPUT) $(NEWSBEUTER_OBJS)
 	$(CXX) $(LDFLAGS) $(CXXFLAGS) -o $(NEWSBEUTER) $(NEWSBEUTER_OBJS) $(NEWSBEUTER_LIBS)
 
 $(PODBEUTER): $(MOFILES) $(STFLHDRS) $(LIB_OUTPUT) $(PODBEUTER_OBJS)
@@ -73,6 +79,15 @@
 	$(RM) $@
 	$(AR) qc $@ $^
 	$(RANLIB) $@
+
+$(FILTERLIB_OUTPUT): $(FILTERLIB_OBJS)
+	$(RM) $@
+	$(AR) qc $@ $^
+	$(RANLIB) $@
+
+#filter/Scanner.cpp filter/Parser.cpp: filter/filter.atg filter/Scanner.frame filter/Parser.frame
+#	$(RM) filter/Scanner.cpp filter/Parser.cpp filter/Scanner.h filter/Parser.h
+#	cococpp -frames filter $<
 
 %.o: %.cpp
 	$(CXX) $(CXXFLAGS) -o $@ -c $<
@@ -93,7 +108,14 @@
 clean-libbeuter:
 	$(RM) $(LIB_OUTPUT) $(LIB_OBJS)
 
-clean: clean-newsbeuter clean-podbeuter clean-libbeuter
+clean-libfilter:
+	$(RM) $(FILTERLIB_OUTPUT) $(FILTERLIB_OBJS) # filter/Scanner.cpp filter/Scanner.h filter/Parser.cpp filter/Parser.h
+
+clean-doc:
+	#$(RM) -r doc/xhtml 
+	$(RM) doc/*.xml doc/newsbeuter-cfgcmds.txt doc/podbeuter-cfgcmds.txt
+
+clean: clean-newsbeuter clean-podbeuter clean-libbeuter clean-libfilter clean-doc
 	$(RM) $(STFLHDRS)
 
 distclean: clean clean-mo
@@ -101,7 +123,11 @@
 
 doc:
 	$(MKDIR) doc/xhtml
-	$(A2X) -f xhtml -d doc/xhtml doc/newsbeuter.txt
+	$(A2X) -f xhtml -D doc/xhtml doc/newsbeuter.txt
+	doc/generate.pl doc/configcommands.dsv > doc/newsbeuter-cfgcmds.txt
+	$(A2X) -f manpage -D doc doc/manpage-newsbeuter.txt
+	doc/generate.pl doc/podbeuter-cmds.dsv > doc/podbeuter-cfgcmds.txt
+	$(A2X) -f manpage -D doc doc/manpage-podbeuter.txt
 
 install: install-mo
 	$(MKDIR) $(prefix)/bin
@@ -112,6 +138,10 @@
 	$(INSTALL) doc/$(PODBEUTER).1 $(prefix)/share/man/man1
 	$(MKDIR) $(docdir)
 	$(INSTALL) -m 644 doc/xhtml/* $(docdir) || true
+	$(MKDIR) $(docdir)/examples
+	$(INSTALL) -m 644 doc/example-config $(docdir)/examples/config || true
+	$(MKDIR) $(docdir)/contrib
+	$(INSTALL) -m 644 contrib/bookmark-delicious.sh $(docdir)/contrib/bookmark-delicious.sh || true
 
 uninstall:
 	$(RM) $(prefix)/bin/$(NEWSBEUTER)
@@ -151,7 +181,9 @@
 TEST_OBJS=$(patsubst test/%.cpp,test/%.o,$(wildcard test/*.cpp))
 
 test: $(LIB_OUTPUT) $(NEWSBEUTER_OBJS) $(TEST_OBJS)
-	$(CXX) $(LDFLAGS) $(CXXFLAGS) -o test/test src/rss.o src/cache.o src/xmlpullparser.o src/urlreader.o $(TEST_OBJS) $(NEWSBEUTER_LIBS) -lboost_unit_test_framework
+	$(CXX) $(LDFLAGS) $(CXXFLAGS) -o test/test src/history.o src/rss.o src/cache.o src/xmlpullparser.o src/urlreader.o $(TEST_OBJS) $(NEWSBEUTER_LIBS) -lboost_unit_test_framework
 
 test-clean:
 	$(RM) test/test test/test.o
+
+include mk.deps

## newsbeuter 0.9.1

=== Makefile ===
PACKAGE=newsbeuter

# important directories
prefix?=/usr/local
mandir?=$(prefix)/share/man
datadir?=$(prefix)/share
localedir?=$(datadir)/locale
docdir?=$(datadir)/doc/$(PACKAGE)

# compiler
CXX=c++
CC=cc

SWIG=swig
RUBY=ruby

# compiler and linker flags
DEFINES=-D_ENABLE_NLS -DLOCALEDIR=\"$(localedir)\" -DPACKAGE=\"$(PACKAGE)\"
WARNFLAGS=-Wall -Wextra
CXXFLAGS+=-ggdb -I./include -I./stfl -I./filter -I. -I./xmlrss $(WARNFLAGS) $(DEFINES)
CFLAGS+=-ggdb -I./xmlrss $(WARNFLAGS) $(DEFINES)
LDFLAGS+=-L.

include config.mk

SWIGFLAGS=-c++ -ruby

ifeq ($(DEBUG),1)
DEFINES+=-DDEBUG
endif

LIB_SOURCES:=$(shell cat libbeuter.deps)
LIB_OBJS:=$(patsubst %.cpp,%.o,$(LIB_SOURCES))
LIB_OUTPUT=libbeuter.a

FILTERLIB_SOURCES=filter/Scanner.cpp filter/Parser.cpp filter/FilterParser.cpp
FILTERLIB_OBJS:=$(patsubst %.cpp,%.o,$(FILTERLIB_SOURCES))
FILTERLIB_OUTPUT=libfilter.a

NEWSBEUTER=$(PACKAGE)
NEWSBEUTER_SOURCES:=$(shell cat newsbeuter.deps)
NEWSBEUTER_OBJS:=$(patsubst %.cpp,%.o,$(NEWSBEUTER_SOURCES))
NEWSBEUTER_LIBS=-lbeuter -lfilter -lstfl -lncursesw -lpthread -lxmlrss

XMLRSSLIB_SOURCES:=$(wildcard xmlrss/*.c)
XMLRSSLIB_OBJS:=$(patsubst xmlrss/%.c,xmlrss/%.o,$(XMLRSSLIB_SOURCES))
XMLRSSLIB_OUTPUT=libxmlrss.a


PODBEUTER=podbeuter
PODBEUTER_SOURCES:=$(shell cat podbeuter.deps)
PODBEUTER_OBJS:=$(patsubst %.cpp,%.o,$(PODBEUTER_SOURCES))
PODBEUTER_LIBS=-lbeuter -lstfl -lncursesw -lpthread

ifneq ($(shell uname -s),Linux)
NEWSBEUTER_LIBS+=-liconv -lintl
PODBEUTER_LIBS+=-liconv -lintl
endif

# additional commands
MKDIR=mkdir -p
INSTALL=install
A2X=a2x
MSGFMT=msgfmt
RANLIB=ranlib
AR=ar

STFLHDRS:=$(patsubst %.stfl,%.h,$(wildcard stfl/*.stfl))
POFILES:=$(wildcard po/*.po)
MOFILES:=$(patsubst %.po,%.mo,$(POFILES))
POTFILE=po/$(PACKAGE).pot

STFLCONV=./stfl2h.pl
RM=rm -f

all: $(NEWSBEUTER) $(PODBEUTER)

NB_DEPS=$(MOFILES) $(XMLRSSLIB_OUTPUT) $(LIB_OUTPUT) $(FILTERLIB_OUTPUT) $(NEWSBEUTER_OBJS)

$(NEWSBEUTER): $(NB_DEPS)
	$(CXX) $(LDFLAGS) $(CXXFLAGS) -o $(NEWSBEUTER) $(NEWSBEUTER_OBJS) $(NEWSBEUTER_LIBS)

$(PODBEUTER): $(MOFILES) $(LIB_OUTPUT) $(PODBEUTER_OBJS)
	$(CXX) $(LDFLAGS) $(CXXFLAGS) -o $(PODBEUTER) $(PODBEUTER_OBJS) $(PODBEUTER_LIBS)

$(LIB_OUTPUT): $(LIB_OBJS)
	$(RM) $@
	$(AR) qc $@ $^
	$(RANLIB) $@

$(XMLRSSLIB_OUTPUT): $(XMLRSSLIB_OBJS)
	$(RM) $@
	$(AR) qc $@ $^
	$(RANLIB) $@

$(FILTERLIB_OUTPUT): $(FILTERLIB_OBJS)
	$(RM) $@
	$(AR) qc $@ $^
	$(RANLIB) $@

#filter/Scanner.cpp filter/Parser.cpp: filter/filter.atg filter/Scanner.frame filter/Parser.frame
#	$(RM) filter/Scanner.cpp filter/Parser.cpp filter/Scanner.h filter/Parser.h
#	cococpp -frames filter $<

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -o $@ -c $<

%.o: %.c
	$(CC) $(CFLAGS) -o $@ -c $<

%.h: %.stfl
	$(STFLCONV) $< > $@


testpp: src/xmlpullparser.cpp testpp.cpp
	$(CXX) -I./include -pg -g -D_TESTPP src/xmlpullparser.cpp testpp.cpp -o testpp

clean-newsbeuter:
	$(RM) $(NEWSBEUTER) $(NEWSBEUTER_OBJS)

clean-podbeuter:
	$(RM) $(PODBEUTER) $(PODBEUTER_OBJS)

clean-libbeuter:
	$(RM) $(LIB_OUTPUT) $(LIB_OBJS)

clean-libxmlrss:
	$(RM) $(XMLRSSLIB_OUTPUT) $(XMLRSSLIB_OBJS)

clean-libfilter:
	$(RM) $(FILTERLIB_OUTPUT) $(FILTERLIB_OBJS)

#clean-doc:
#	$(RM) -r doc/xhtml 
#	$(RM) doc/*.xml doc/*.1 doc/newsbeuter-cfgcmds.txt doc/podbeuter-cfgcmds.txt

clean: clean-newsbeuter clean-podbeuter clean-libbeuter clean-libfilter clean-libxmlrss
	$(RM) $(STFLHDRS)

distclean: clean clean-mo test-clean
	$(RM) core *.core core.* config.mk

doc:
	$(MKDIR) doc/xhtml
	$(A2X) -f xhtml -D doc/xhtml doc/newsbeuter.txt
	doc/generate.pl doc/configcommands.dsv > doc/newsbeuter-cfgcmds.txt
	$(A2X) -f manpage -D doc doc/manpage-newsbeuter.txt
	doc/generate.pl doc/podbeuter-cmds.dsv > doc/podbeuter-cfgcmds.txt
	$(A2X) -f manpage -D doc doc/manpage-podbeuter.txt

install: install-mo
	$(MKDIR) $(prefix)/bin
	$(INSTALL) $(NEWSBEUTER) $(prefix)/bin
	$(INSTALL) $(PODBEUTER) $(prefix)/bin
	$(MKDIR) $(mandir)/man1
	$(INSTALL) doc/$(NEWSBEUTER).1 $(mandir)/man1
	$(INSTALL) doc/$(PODBEUTER).1 $(mandir)/man1
	$(MKDIR) $(docdir)
	$(INSTALL) -m 644 doc/xhtml/* $(docdir) || true
	$(MKDIR) $(docdir)/examples
	$(INSTALL) -m 644 doc/example-config $(docdir)/examples/config || true

uninstall:
	$(RM) $(prefix)/bin/$(NEWSBEUTER)
	$(RM) $(prefix)/bin/$(PODBEUTER)
	$(RM) $(mandir)/man1/$(NEWSBEUTER).1
	$(RM) $(mandir)/man1/$(PODBEUTER).1
	$(RM) -r $(docdir)

.PHONY: doc clean all test install uninstall

# the following targets are i18n/l10n-related:

extract:
	$(RM) $(POTFILE)
	xgettext -k_ -o $(POTFILE) *.cpp src/*.cpp

msgmerge:
	for f in $(POFILES) ; do msgmerge -U $$f $(POTFILE) ; done

%.mo: %.po
	$(MSGFMT) --statistics -o $@ $<

clean-mo:
	$(RM) $(MOFILES) po/*~

install-mo:
	$(MKDIR) $(datadir)
	@for mof in $(MOFILES) ; do \
		mofile=`basename $$mof` ; \
		lang=`echo $$mofile | sed 's/\.mo$$//'`; \
		dir=$(localedir)/$$lang/LC_MESSAGES; \
		$(MKDIR) $$dir ; \
		$(INSTALL) -m 644 $$mof $$dir/$(PACKAGE).mo ; \
		echo "Installing $$mofile as $$dir/$(PACKAGE).mo" ; \
	done

TEST_OBJS=$(patsubst test/%.cpp,test/%.o,$(wildcard test/*.cpp))

test: $(LIB_OUTPUT) $(NEWSBEUTER_OBJS) $(TEST_OBJS)
	$(CXX) $(LDFLAGS) $(CXXFLAGS) $(RUBYCXXFLAGS) -o test/test src/history.o src/rss.o src/htmlrenderer.o src/cache.o src/tagsouppullparser.o src/urlreader.o $(TEST_OBJS) $(NEWSBEUTER_LIBS) -lboost_unit_test_framework

test/test.o: test/test.cpp
	$(CXX) $(CXXFLAGS) $(RUBYCXXFLAGS) -o $@ -c $<

test-clean:
	$(RM) test/test test/test.o

config: config.mk

config.mk:
	@./config.sh

include mk.deps

## newsbeuter 1.3

=== Makefile ===
PACKAGE=newsbeuter
# important directories
prefix?=/usr/local
mandir?=$(prefix)/share/man
datadir?=$(prefix)/share
localedir?=$(datadir)/locale
docdir?=$(datadir)/doc/$(PACKAGE)

# compiler
CXX=c++
CC=cc

RUBY=ruby

# compiler and linker flags
DEFINES=-DLOCALEDIR=\"$(localedir)\"
WARNFLAGS=-Wall -Wextra
CXXFLAGS+=-ggdb -I/sw/include -I./include -I./stfl -I./filter -I. -I./xmlrss $(WARNFLAGS) $(DEFINES)
CFLAGS+=-ggdb -I./xmlrss $(WARNFLAGS) $(DEFINES)
LDFLAGS+=-L. -L/sw/lib

include config.mk

LIB_SOURCES:=$(shell cat libbeuter.deps)
LIB_OBJS:=$(patsubst %.cpp,%.o,$(LIB_SOURCES))
LIB_OUTPUT=libbeuter.a

FILTERLIB_SOURCES=filter/Scanner.cpp filter/Parser.cpp filter/FilterParser.cpp
FILTERLIB_OBJS:=$(patsubst %.cpp,%.o,$(FILTERLIB_SOURCES))
FILTERLIB_OUTPUT=libfilter.a

NEWSBEUTER=newsbeuter
NEWSBEUTER_SOURCES:=$(shell cat newsbeuter.deps)
NEWSBEUTER_OBJS:=$(patsubst %.cpp,%.o,$(NEWSBEUTER_SOURCES))
NEWSBEUTER_LIBS=-lbeuter -lfilter -lstfl -lncursesw -lpthread -lxmlrss

XMLRSSLIB_SOURCES:=$(wildcard xmlrss/*.c)
XMLRSSLIB_OBJS:=$(patsubst xmlrss/%.c,xmlrss/%.o,$(XMLRSSLIB_SOURCES))
XMLRSSLIB_OUTPUT=libxmlrss.a


PODBEUTER=podbeuter
PODBEUTER_SOURCES:=$(shell cat podbeuter.deps)
PODBEUTER_OBJS:=$(patsubst %.cpp,%.o,$(PODBEUTER_SOURCES))
PODBEUTER_LIBS=-lbeuter -lstfl -lncursesw -lpthread

ifneq ($(shell uname -s),Linux)
NEWSBEUTER_LIBS+=-liconv -lintl
PODBEUTER_LIBS+=-liconv -lintl
endif

# additional commands
MKDIR=mkdir -p
INSTALL=install
A2X=a2x
MSGFMT=msgfmt
RANLIB=ranlib
AR=ar

STFLHDRS:=$(patsubst %.stfl,%.h,$(wildcard stfl/*.stfl))
POFILES:=$(wildcard po/*.po)
MOFILES:=$(patsubst %.po,%.mo,$(POFILES))
POTFILE=po/$(PACKAGE).pot

STFLCONV=./stfl2h.pl
RM=rm -f

all: $(NEWSBEUTER) $(PODBEUTER)

NB_DEPS=$(MOFILES) $(XMLRSSLIB_OUTPUT) $(LIB_OUTPUT) $(FILTERLIB_OUTPUT) $(NEWSBEUTER_OBJS)

$(NEWSBEUTER): $(NB_DEPS)
	$(CXX) $(CXXFLAGS) -o $(NEWSBEUTER) $(NEWSBEUTER_OBJS) $(NEWSBEUTER_LIBS) $(LDFLAGS)

$(PODBEUTER): $(MOFILES) $(LIB_OUTPUT) $(PODBEUTER_OBJS)
	$(CXX) $(CXXFLAGS) -o $(PODBEUTER) $(PODBEUTER_OBJS) $(PODBEUTER_LIBS) $(LDFLAGS)

$(LIB_OUTPUT): $(LIB_OBJS)
	$(RM) $@
	$(AR) qc $@ $^
	$(RANLIB) $@

$(XMLRSSLIB_OUTPUT): $(XMLRSSLIB_OBJS)
	$(RM) $@
	$(AR) qc $@ $^
	$(RANLIB) $@

$(FILTERLIB_OUTPUT): $(FILTERLIB_OBJS)
	$(RM) $@
	$(AR) qc $@ $^
	$(RANLIB) $@

#filter/Scanner.cpp filter/Parser.cpp: filter/filter.atg filter/Scanner.frame filter/Parser.frame
#	$(RM) filter/Scanner.cpp filter/Parser.cpp filter/Scanner.h filter/Parser.h
#	cococpp -frames filter $<

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -o $@ -c $<

%.o: %.c
	$(CC) $(CFLAGS) -o $@ -c $<

%.h: %.stfl
	$(STFLCONV) $< > $@


clean-newsbeuter:
	$(RM) $(NEWSBEUTER) $(NEWSBEUTER_OBJS)

clean-podbeuter:
	$(RM) $(PODBEUTER) $(PODBEUTER_OBJS)

clean-libbeuter:
	$(RM) $(LIB_OUTPUT) $(LIB_OBJS)

clean-libxmlrss:
	$(RM) $(XMLRSSLIB_OUTPUT) $(XMLRSSLIB_OBJS)

#clean-libfilter:
#	$(RM) $(FILTERLIB_OUTPUT) $(FILTERLIB_OBJS) filter/Scanner.cpp filter/Scanner.h filter/Parser.cpp filter/Parser.h

clean-doc:
	$(RM) -r doc/xhtml 
	$(RM) doc/*.xml doc/*.1 doc/newsbeuter-cfgcmds.txt doc/podbeuter-cfgcmds.txt doc/newsbeuter-keycmds.txt

clean: clean-newsbeuter clean-podbeuter clean-libbeuter clean-libxmlrss
	$(RM) $(STFLHDRS)

distclean: clean clean-mo test-clean
	$(RM) core *.core core.* config.mk

doc:
	$(MKDIR) doc/xhtml
	$(A2X) -f xhtml -D doc/xhtml doc/newsbeuter.txt
	doc/generate.pl doc/configcommands.dsv > doc/newsbeuter-cfgcmds.txt
	doc/generate2.pl doc/keycmds.dsv > doc/newsbeuter-keycmds.txt
	$(A2X) -f manpage -D doc doc/manpage-newsbeuter.txt
	doc/generate.pl doc/podbeuter-cmds.dsv > doc/podbeuter-cfgcmds.txt
	$(A2X) -f manpage -D doc doc/manpage-podbeuter.txt

install: install-mo
	$(MKDIR) $(DESTDIR)$(prefix)/bin
	$(INSTALL) $(NEWSBEUTER) $(DESTDIR)$(prefix)/bin
	$(INSTALL) $(PODBEUTER) $(DESTDIR)$(prefix)/bin
	$(MKDIR) $(DESTDIR)$(mandir)/man1
	$(INSTALL) doc/$(NEWSBEUTER).1 $(DESTDIR)$(mandir)/man1
	$(INSTALL) doc/$(PODBEUTER).1 $(DESTDIR)$(mandir)/man1
	$(MKDIR) $(DESTDIR)$(docdir)
	$(INSTALL) -m 644 doc/xhtml/* $(DESTDIR)$(docdir) || true
	$(MKDIR) $(DESTDIR)$(docdir)/examples
	$(INSTALL) -m 644 doc/example-config $(DESTDIR)$(docdir)/examples/config || true

uninstall:
	$(RM) $(DESTDIR)$(prefix)/bin/$(NEWSBEUTER)
	$(RM) $(DESTDIR)$(prefix)/bin/$(PODBEUTER)
	$(RM) $(DESTDIR)$(mandir)/man1/$(NEWSBEUTER).1
	$(RM) $(DESTDIR)$(mandir)/man1/$(PODBEUTER).1
	$(RM) -r $(DESTDIR)$(docdir)

.PHONY: doc clean all test install uninstall

# the following targets are i18n/l10n-related:

extract:
	$(RM) $(POTFILE)
	xgettext -k_ -o $(POTFILE) *.cpp src/*.cpp

msgmerge:
	for f in $(POFILES) ; do msgmerge -U $$f $(POTFILE) ; done

%.mo: %.po
	$(MSGFMT) --statistics -o $@ $<

clean-mo:
	$(RM) $(MOFILES) po/*~

install-mo:
	$(MKDIR) $(DESTDIR)$(datadir)
	@for mof in $(MOFILES) ; do \
		mofile=`basename $$mof` ; \
		lang=`echo $$mofile | sed 's/\.mo$$//'`; \
		dir=$(DESTDIR)$(localedir)/$$lang/LC_MESSAGES; \
		$(MKDIR) $$dir ; \
		$(INSTALL) -m 644 $$mof $$dir/$(PACKAGE).mo ; \
		echo "Installing $$mofile as $$dir/$(PACKAGE).mo" ; \
	done

TEST_OBJS=$(patsubst test/%.cpp,test/%.o,$(wildcard test/*.cpp))

test: $(LIB_OUTPUT) $(NEWSBEUTER_OBJS) $(TEST_OBJS)
	$(CXX) $(CXXFLAGS) $(RUBYCXXFLAGS) -o test/test src/history.o src/rss.o src/rss_parser.o src/htmlrenderer.o src/cache.o src/tagsouppullparser.o src/urlreader.o src/regexmanager.o $(TEST_OBJS) $(NEWSBEUTER_LIBS) -lboost_unit_test_framework $(LDFLAGS)

test/test.o: test/test.cpp
	$(CXX) $(CXXFLAGS) $(RUBYCXXFLAGS) -o $@ -c $<

test-clean:
	$(RM) test/test test/test.o

config: config.mk

config.mk:
	@./config.sh

include mk.deps

## newsbeuter 2.0

=== Makefile ===
# important directories
prefix?=/usr/local
mandir?=$(prefix)/share/man
datadir?=$(prefix)/share
localedir?=$(datadir)/locale
docdir?=$(datadir)/doc/$(PACKAGE)

# compiler
CXX=c++

# compiler and linker flags
DEFINES=-DLOCALEDIR=\"$(localedir)\"
WARNFLAGS=-Wall -Wextra
CXXFLAGS+=-ggdb -I/sw/include -Iinclude -Istfl -Ifilter -I. -Irss $(WARNFLAGS) $(DEFINES)
LDFLAGS+=-L. -L/sw/lib

PACKAGE=newsbeuter

include config.mk

LIB_SOURCES:=$(shell cat libbeuter.deps)
LIB_OBJS:=$(patsubst %.cpp,%.o,$(LIB_SOURCES))
LIB_OUTPUT=libbeuter.a

FILTERLIB_SOURCES=filter/Scanner.cpp filter/Parser.cpp filter/FilterParser.cpp
FILTERLIB_OBJS:=$(patsubst %.cpp,%.o,$(FILTERLIB_SOURCES))
FILTERLIB_OUTPUT=libfilter.a

NEWSBEUTER=newsbeuter
NEWSBEUTER_SOURCES:=$(shell cat newsbeuter.deps)
NEWSBEUTER_OBJS:=$(patsubst %.cpp,%.o,$(NEWSBEUTER_SOURCES))
NEWSBEUTER_LIBS=-lbeuter -lfilter -lstfl -lncursesw -lpthread -lrsspp

RSSPPLIB_SOURCES=$(wildcard rss/*.cpp)
RSSPPLIB_OBJS=$(patsubst rss/%.cpp,rss/%.o,$(RSSPPLIB_SOURCES))
RSSPPLIB_OUTPUT=librsspp.a


PODBEUTER=podbeuter
PODBEUTER_SOURCES:=$(shell cat podbeuter.deps)
PODBEUTER_OBJS:=$(patsubst %.cpp,%.o,$(PODBEUTER_SOURCES))
PODBEUTER_LIBS=-lbeuter -lstfl -lncursesw -lpthread

ifneq ($(shell uname -s),Linux)
NEWSBEUTER_LIBS+=-liconv -lintl
PODBEUTER_LIBS+=-liconv -lintl
endif

# additional commands
MKDIR=mkdir -p
INSTALL=install
A2X=a2x
MSGFMT=msgfmt
RANLIB=ranlib
AR=ar

STFLHDRS:=$(patsubst %.stfl,%.h,$(wildcard stfl/*.stfl))
POFILES:=$(wildcard po/*.po)
MOFILES:=$(patsubst %.po,%.mo,$(POFILES))
POTFILE=po/newsbeuter.pot

TEXTCONV=./txt2h.pl
RM=rm -f

all: $(NEWSBEUTER) $(PODBEUTER)

NB_DEPS=$(MOFILES) $(LIB_OUTPUT) $(FILTERLIB_OUTPUT) $(NEWSBEUTER_OBJS) $(RSSPPLIB_OUTPUT)

$(NEWSBEUTER): $(NB_DEPS)
	$(CXX) $(CXXFLAGS) -o $(NEWSBEUTER) $(NEWSBEUTER_OBJS) $(NEWSBEUTER_LIBS) $(LDFLAGS)

$(PODBEUTER): $(MOFILES) $(LIB_OUTPUT) $(PODBEUTER_OBJS)
	$(CXX) $(CXXFLAGS) -o $(PODBEUTER) $(PODBEUTER_OBJS) $(PODBEUTER_LIBS) $(LDFLAGS)

$(LIB_OUTPUT): $(LIB_OBJS)
	$(RM) $@
	$(AR) qc $@ $^
	$(RANLIB) $@

$(RSSPPLIB_OUTPUT): $(RSSPPLIB_OBJS)
	$(RM) $@
	$(AR) qc $@ $^
	$(RANLIB) $@

$(FILTERLIB_OUTPUT): $(FILTERLIB_OBJS)
	$(RM) $@
	$(AR) qc $@ $^
	$(RANLIB) $@

regenerate-parser:
	$(RM) filter/Scanner.cpp filter/Parser.cpp filter/Scanner.h filter/Parser.h
	cococpp -frames filter filter/filter.atg

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -o $@ -c $<

%.h: %.stfl
	$(TEXTCONV) $< .stfl > $@

clean-newsbeuter:
	$(RM) $(NEWSBEUTER) $(NEWSBEUTER_OBJS)

clean-podbeuter:
	$(RM) $(PODBEUTER) $(PODBEUTER_OBJS)

clean-libbeuter:
	$(RM) $(LIB_OUTPUT) $(LIB_OBJS)

clean-librsspp:
	$(RM) $(RSSPPLIB_OUTPUT) $(RSSPPLIB_OBJS)

clean-libfilter:
	$(RM) $(FILTERLIB_OUTPUT) $(FILTERLIB_OBJS)

clean-doc:
	$(RM) -r doc/xhtml 
	$(RM) doc/*.xml doc/*.1 doc/newsbeuter-cfgcmds.txt doc/podbeuter-cfgcmds.txt doc/newsbeuter-keycmds.txt

clean: clean-newsbeuter clean-podbeuter clean-libbeuter clean-libfilter clean-librsspp
	$(RM) $(STFLHDRS) xlicense.h

distclean: clean clean-mo test-clean
	$(RM) core *.core core.* config.mk

doc:
	$(MKDIR) doc/xhtml
	$(A2X) -f xhtml -D doc/xhtml doc/newsbeuter.txt
	doc/generate.pl doc/configcommands.dsv > doc/newsbeuter-cfgcmds.txt
	doc/generate2.pl doc/keycmds.dsv > doc/newsbeuter-keycmds.txt
	$(A2X) -f manpage -D doc doc/manpage-newsbeuter.txt
	doc/generate.pl doc/podbeuter-cmds.dsv > doc/podbeuter-cfgcmds.txt
	$(A2X) -f manpage -D doc doc/manpage-podbeuter.txt

install: install-mo
	$(MKDIR) $(DESTDIR)$(prefix)/bin
	$(INSTALL) $(NEWSBEUTER) $(DESTDIR)$(prefix)/bin
	$(INSTALL) $(PODBEUTER) $(DESTDIR)$(prefix)/bin
	$(MKDIR) $(DESTDIR)$(mandir)/man1
	$(INSTALL) doc/$(NEWSBEUTER).1 $(DESTDIR)$(mandir)/man1 || true
	$(INSTALL) doc/$(PODBEUTER).1 $(DESTDIR)$(mandir)/man1 || true
	$(MKDIR) $(DESTDIR)$(docdir)
	$(INSTALL) -m 644 doc/xhtml/* $(DESTDIR)$(docdir) || true
	$(MKDIR) $(DESTDIR)$(docdir)/examples
	$(INSTALL) -m 644 doc/example-config $(DESTDIR)$(docdir)/examples/config || true

uninstall:
	$(RM) $(DESTDIR)$(prefix)/bin/$(NEWSBEUTER)
	$(RM) $(DESTDIR)$(prefix)/bin/$(PODBEUTER)
	$(RM) $(DESTDIR)$(mandir)/man1/$(NEWSBEUTER).1
	$(RM) $(DESTDIR)$(mandir)/man1/$(PODBEUTER).1
	$(RM) -r $(DESTDIR)$(docdir)

.PHONY: doc clean distclean all test test-rss extract install uninstall regenerate-parser clean-newsbeuter \
	clean-podbeuter clean-libbeuter clean-librsspp clean-libfilter clean-doc install-mo msgmerge clean-mo \
	test-clean config

# the following targets are i18n/l10n-related:

extract:
	$(RM) $(POTFILE)
	xgettext -k_ -o $(POTFILE) *.cpp src/*.cpp rss/*.cpp

msgmerge:
	for f in $(POFILES) ; do msgmerge -U $$f $(POTFILE) ; done

%.mo: %.po
	$(MSGFMT) --statistics -o $@ $<

clean-mo:
	$(RM) $(MOFILES) po/*~

install-mo:
	$(MKDIR) $(DESTDIR)$(datadir)
	@for mof in $(MOFILES) ; do \
		mofile=`basename $$mof` ; \
		lang=`echo $$mofile | sed 's/\.mo$$//'`; \
		dir=$(DESTDIR)$(localedir)/$$lang/LC_MESSAGES; \
		$(MKDIR) $$dir ; \
		$(INSTALL) -m 644 $$mof $$dir/$(PACKAGE).mo ; \
		echo "Installing $$mofile as $$dir/$(PACKAGE).mo" ; \
	done

test: $(LIB_OUTPUT) $(NEWSBEUTER_OBJS) test/test.o
	$(CXX) $(CXXFLAGS) -o test/test src/history.o src/rss.o src/rss_parser.o src/htmlrenderer.o src/cache.o src/tagsouppullparser.o src/urlreader.o src/regexmanager.o test/test.o $(NEWSBEUTER_LIBS) -lboost_unit_test_framework $(LDFLAGS)

test-rss: $(RSSPPLIB_OUTPUT) test/test-rss.o
	$(CXX) $(CXXFLAGS) -o test/test-rss test/test-rss.o src/utils.o $(NEWSBEUTER_LIBS) -lboost_unit_test_framework $(LDFLAGS)

test/test.o: test/test.cpp
	$(CXX) $(CXXFLAGS) -o $@ -c $<

test-clean:
	$(RM) test/test test/test.o test/test-rss test/test-rss.o

config: config.mk

config.mk:
	@./config.sh

xlicense.h: LICENSE
	$(TEXTCONV) $< > $@

include mk.deps

## newsbeuter 2.1

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,9 @@
 
 PACKAGE=newsbeuter
 
+ifneq (distclean, $(MAKECMDGOALS))
 include config.mk
+endif
 
 LIB_SOURCES:=$(shell cat libbeuter.deps)
 LIB_OBJS:=$(patsubst %.cpp,%.o,$(LIB_SOURCES))
@@ -29,7 +31,7 @@
 NEWSBEUTER=newsbeuter
 NEWSBEUTER_SOURCES:=$(shell cat newsbeuter.deps)
 NEWSBEUTER_OBJS:=$(patsubst %.cpp,%.o,$(NEWSBEUTER_SOURCES))
-NEWSBEUTER_LIBS=-lbeuter -lfilter -lstfl -lncursesw -lpthread -lrsspp
+NEWSBEUTER_LIBS=-lbeuter -lfilter -lpthread -lrsspp
 
 RSSPPLIB_SOURCES=$(wildcard rss/*.cpp)
 RSSPPLIB_OBJS=$(patsubst rss/%.cpp,rss/%.o,$(RSSPPLIB_SOURCES))
@@ -39,9 +41,9 @@
 PODBEUTER=podbeuter
 PODBEUTER_SOURCES:=$(shell cat podbeuter.deps)
 PODBEUTER_OBJS:=$(patsubst %.cpp,%.o,$(PODBEUTER_SOURCES))
-PODBEUTER_LIBS=-lbeuter -lstfl -lncursesw -lpthread
-
-ifneq ($(shell uname -s),Linux)
+PODBEUTER_LIBS=-lbeuter -lpthread
+
+ifeq (, $(filter Linux GNU GNU/%, $(shell uname -s)))
 NEWSBEUTER_LIBS+=-liconv -lintl
 PODBEUTER_LIBS+=-liconv -lintl
 endif

## newsbeuter 2.2

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # compiler and linker flags
 DEFINES=-DLOCALEDIR=\"$(localedir)\"
 WARNFLAGS=-Wall -Wextra
-CXXFLAGS+=-ggdb -I/sw/include -Iinclude -Istfl -Ifilter -I. -Irss $(WARNFLAGS) $(DEFINES)
+CXXFLAGS+=-ggdb -Iinclude -Istfl -Ifilter -I. -Irss $(WARNFLAGS) $(DEFINES)
 LDFLAGS+=-L. -L/sw/lib
 
 PACKAGE=newsbeuter

## newsbeuter 2.3

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 DEFINES=-DLOCALEDIR=\"$(localedir)\"
 WARNFLAGS=-Wall -Wextra
 CXXFLAGS+=-ggdb -Iinclude -Istfl -Ifilter -I. -Irss $(WARNFLAGS) $(DEFINES)
-LDFLAGS+=-L. -L/sw/lib
+LDFLAGS+=-L.
 
 PACKAGE=newsbeuter
 
@@ -114,9 +114,9 @@
 clean-libfilter:
 	$(RM) $(FILTERLIB_OUTPUT) $(FILTERLIB_OBJS)
 
-clean-doc:
-	$(RM) -r doc/xhtml 
-	$(RM) doc/*.xml doc/*.1 doc/newsbeuter-cfgcmds.txt doc/podbeuter-cfgcmds.txt doc/newsbeuter-keycmds.txt
+#clean-doc:
+#	$(RM) -r doc/xhtml 
+#	$(RM) doc/*.xml doc/*.1 doc/newsbeuter-cfgcmds.txt doc/podbeuter-cfgcmds.txt doc/newsbeuter-keycmds.txt
 
 clean: clean-newsbeuter clean-podbeuter clean-libbeuter clean-libfilter clean-librsspp
 	$(RM) $(STFLHDRS) xlicense.h
@@ -183,10 +183,10 @@
 	done
 
 test: $(LIB_OUTPUT) $(NEWSBEUTER_OBJS) test/test.o
-	$(CXX) $(CXXFLAGS) -o test/test src/history.o src/rss.o src/rss_parser.o src/htmlrenderer.o src/cache.o src/tagsouppullparser.o src/urlreader.o src/regexmanager.o test/test.o $(NEWSBEUTER_LIBS) -lboost_unit_test_framework $(LDFLAGS)
+	$(CXX) $(CXXFLAGS) -o test/test src/history.o src/rss.o src/rss_parser.o src/htmlrenderer.o src/cache.o src/tagsouppullparser.o src/urlreader.o src/regexmanager.o test/test.o $(NEWSBEUTER_LIBS) $(LDFLAGS)
 
 test-rss: $(RSSPPLIB_OUTPUT) test/test-rss.o
-	$(CXX) $(CXXFLAGS) -o test/test-rss test/test-rss.o src/utils.o $(NEWSBEUTER_LIBS) -lboost_unit_test_framework $(LDFLAGS)
+	$(CXX) $(CXXFLAGS) -o test/test-rss test/test-rss.o src/utils.o $(NEWSBEUTER_LIBS) $(LDFLAGS)
 
 test/test.o: test/test.cpp
 	$(CXX) $(CXXFLAGS) -o $@ -c $<

=== debian/changelog ===
newsbeuter (2.3-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format
  * Adjust years in debian/copyright.

 -- Nico Golde <nion@debian.org>  Fri, 25 Jun 2010 22:49:14 +0200

newsbeuter (2.2-2) unstable; urgency=low

  * Do not cleanup deleted items uppon quitting so they will be
    reloaded and marked as new next time (Closes: #574665).

 -- Nico Golde <nion@debian.org>  Tue, 23 Mar 2010 19:09:18 +0100

newsbeuter (2.2-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version, no changes needed.
  * Add contrib/f1sa.rb to installed contrib files.

 -- Nico Golde <nion@debian.org>  Sun, 14 Mar 2010 12:32:24 +0100

newsbeuter (2.1-1) unstable; urgency=low

  * New upstream release
    - fix rss title parsing (Closes: #526612).
    - fix FTBFS on kFreeBSD (Closes: #543591).

 -- Nico Golde <nion@debian.org>  Tue, 08 Dec 2009 21:20:22 +0100

newsbeuter (2.0-1) unstable; urgency=low

  * New upstream release.
    - Remove dependeny on mrss and nxml and add libxml2, newsbeuter
      now comes with its own parser.
    - Remove debian/patches and quilt dependency.
  * Bump to policy 3.8.1, no changes needed.
  * debian/copyright: adjust years.
  * Remove dh_clean -k call as it is deprecated -> dh_prep.
  * Change newsbeuter homepage, it now has an official one.
  * Fix watch file url, new upstream code location.
  * Add bookmark-scuttle.sh to installed contrib files.

 -- Nico Golde <nion@debian.org>  Tue, 21 Apr 2009 14:06:18 +0200

newsbeuter (1.3-1) unstable; urgency=low

  * New upstream release
    - switched to smart pointers, should fix all remaining segfaults (Closes: #498377).

 -- Nico Golde <nion@debian.org>  Thu, 04 Dec 2008 13:03:02 +0100

newsbeuter (1.2-1) unstable; urgency=low

  * New upstream release.
    - Fix incomplete quoting fix for article URLs by replacing '
      with the proper encoding in hex (Closes: #497495).
  * Update rss_parser.cpp part of the use_system-wide-libs for the
    new download-timeout option.

 -- Nico Golde <nion@debian.org>  Tue, 02 Sep 2008 13:56:35 +0200

newsbeuter (1.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes arbitrary code execution via crafted URL if passed to external browser
  * Drop debian/patches/{external_command_execution, wrap-long-lines},
    applied upstream.

 -- Nico Golde <nion@debian.org>  Mon, 01 Sep 2008 11:19:18 +0200

newsbeuter (1.0-3) unstable; urgency=low

  * Remove calls to libnxml-depends and libmrss-depends from rules as they
    break newsbeuter upgrades because nxml and mrss stopped providing their
    -abi packages (Closes: #496772).
  * Fix calling external html-render by passing the command to /bin/sh -c
    instead of directly to execve (external_command_execution; Closes: #496766).

 -- Nico Golde <nion@debian.org>  Wed, 27 Aug 2008 16:23:05 +0200

newsbeuter (1.0-2) unstable; urgency=low

  * Make newsbeuter depend on stfl >= 0.19 as the highlighting in the
    feed list, article list and article view needs it.
  * debian/patches/wrap-long-lines to wrap long header lines in the article
    view (Closes: #491122).

 -- Nico Golde <nion@debian.org>  Wed, 20 Aug 2008 21:45:37 +0200

newsbeuter (1.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards version to 3.8.0, no changes needed.
  * Bump compat level and debhelper dependency to 7.
  * Explicitly add libcurl4-gnutls-dev to build-depends to satisfy pkg-config.
  * Add quilt to build dependencies and introduce use_system-wide_libs to
    build newsbeuter with the system-wide libmrss and libnxml instead of
    directly patching the source with each release.

 -- Nico Golde <nion@debian.org>  Wed, 20 Aug 2008 13:53:57 +0200

newsbeuter (0.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Nico Golde <nion@debian.org>  Mon, 12 May 2008 16:25:56 +0200

newsbeuter (0.9-1) unstable; urgency=low

  * New upstream release.
    - Fix problem displaying titles when using zh_CN.UTF-8
      locale (Closes: #471434).
  * Add default configuration to set sensible-browser as browser and
    add dirs file to create /etc/newsbeuter (Closes: #470833).
  * remove libnxml-depends and libmrss-depends calls in rules and
    related dependency lines in control since they are not needed
    anymore (Closes: #467201).

 -- Nico Golde <nion@debian.org>  Thu, 01 May 2008 14:51:20 +0200

newsbeuter (0.8.2-1) unstable; urgency=low

  * New upstream release.

 -- Nico Golde <nion@debian.org>  Sun, 16 Mar 2008 16:38:06 +0100

newsbeuter (0.8.1-1) unstable; urgency=low

  * New upstream release.
    - Fixes crash in special locale combinations
      due to a bug when converting database content from multibyte to
      widechar (Closes: #470390).

 -- Nico Golde <nion@debian.org>  Tue, 11 Mar 2008 21:46:40 +0100

newsbeuter (0.8-1) unstable; urgency=low

  * New upstream version.
  * debian/rules: care about DEB_BUILD_OPTIONS.
  * debian/copyright: adjust copyright years.
  * debian/control: adding pkg-config as build-dependency as newsbeuter's
    buildsystem makes use of it now.
  * Patch Makefile and various source files to prevent linking against local
    copy of mrss and nxml.

 -- Nico Golde <nion@debian.org>  Fri, 07 Mar 2008 13:44:43 +0100

newsbeuter (0.7-5) unstable; urgency=low

  * Tighten the build dependencies to libnxml and libmrss to workaround
    possible future ABI breaks in those libs, thanks Torsten Werner for the
    patch.

 -- Nico Golde <nion@debian.org>  Tue, 04 Mar 2008 15:17:49 +0100

newsbeuter (0.7-4) unstable; urgency=low

  * Switch to compat level 6 as it is default now.
  * Change free call to sqlite3_free because we have sqlite-3.5
    in Debian now (Closes: #468476).

 -- Nico Golde <nion@debian.org>  Fri, 29 Feb 2008 15:10:16 +0100

newsbeuter (0.7-3) unstable; urgency=low

  * Add missing include headers to prevent FTBFS
    with gcc 4.3 (Closes: #455611).

 -- Nico Golde <nion@debian.org>  Sun, 20 Jan 2008 13:27:17 +0100



=== debian/control ===
Source: newsbeuter
Section: net
Priority: optional
Maintainer: Nico Golde <nion@debian.org>
Build-Depends: libncursesw5-dev, debhelper (>= 7), libxml2-dev, libstfl-dev (>= 0.19), libsqlite3-dev, perl, pkg-config, libcurl4-gnutls-dev
Standards-Version: 3.8.4
Homepage: http://www.newsbeuter.org

Package: newsbeuter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: text mode rss feed reader with podcast support
 newsbeuter is an innovative RSS feed reader for the text console.
 It supports OPML import/exports, HTML rendering, podcast (podbeuter),
 offline reading, searching and storing articles to your filesystem,
 and many more features.
 .
 Its user interface is coherent, easy to use, and might look
 common to users of mutt and slrn.

## newsbeuter 2.4

=== Makefile ===
--- 
+++ 
@@ -153,7 +153,7 @@
 	$(RM) -r $(DESTDIR)$(docdir)
 
 .PHONY: doc clean distclean all test test-rss extract install uninstall regenerate-parser clean-newsbeuter \
-	clean-podbeuter clean-libbeuter clean-librsspp clean-libfilter clean-doc install-mo msgmerge clean-mo \
+	clean-podbeuter clean-libbeuter clean-librsspp clean-libfilter install-mo msgmerge clean-mo \
 	test-clean config
 
 # the following targets are i18n/l10n-related:
@@ -182,7 +182,7 @@
 		echo "Installing $$mofile as $$dir/$(PACKAGE).mo" ; \
 	done
 
-test: $(LIB_OUTPUT) $(NEWSBEUTER_OBJS) test/test.o
+test: $(LIB_OUTPUT) $(NEWSBEUTER_OBJS) $(FILTERLIB_OUTPUT) $(RSSPPLIB_OUTPUT) test/test.o
 	$(CXX) $(CXXFLAGS) -o test/test src/history.o src/rss.o src/rss_parser.o src/htmlrenderer.o src/cache.o src/tagsouppullparser.o src/urlreader.o src/regexmanager.o test/test.o $(NEWSBEUTER_LIBS) $(LDFLAGS)
 
 test-rss: $(RSSPPLIB_OUTPUT) test/test-rss.o

=== debian/changelog ===
newsbeuter (2.4-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version, no changes needed.

 -- Nico Golde <nion@debian.org>  Tue, 01 Feb 2011 23:41:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Nico Golde <nion@debian.org>
 Build-Depends: libncursesw5-dev, debhelper (>= 7), libxml2-dev, libstfl-dev (>= 0.19), libsqlite3-dev, perl, pkg-config, libcurl4-gnutls-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.newsbeuter.org
 
 Package: newsbeuter

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# quilt support
#include /usr/share/quilt/quilt.make

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif

export CFLAGS

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE) prefix=/usr all
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

	$(MAKE) distclean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) prefix=$(CURDIR)/debian/newsbeuter/usr install
	install -m644 debian/config $(CURDIR)/debian/newsbeuter/etc/newsbeuter

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	xargs -r -i install "{}" $(CURDIR)/debian/newsbeuter/usr/share/doc/newsbeuter/contrib < debian/contrib.files
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## newsbeuter 2.5

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,11 @@
 include config.mk
 endif
 
-LIB_SOURCES:=$(shell cat libbeuter.deps)
+ifeq ($(PROFILE),1)
+CXXFLAGS+=-fprofile-arcs -ftest-coverage
+endif
+
+LIB_SOURCES:=$(shell cat mk/libbeuter.deps)
 LIB_OBJS:=$(patsubst %.cpp,%.o,$(LIB_SOURCES))
 LIB_OUTPUT=libbeuter.a
 
@@ -29,7 +33,7 @@
 FILTERLIB_OUTPUT=libfilter.a
 
 NEWSBEUTER=newsbeuter
-NEWSBEUTER_SOURCES:=$(shell cat newsbeuter.deps)
+NEWSBEUTER_SOURCES:=$(shell cat mk/newsbeuter.deps)
 NEWSBEUTER_OBJS:=$(patsubst %.cpp,%.o,$(NEWSBEUTER_SOURCES))
 NEWSBEUTER_LIBS=-lbeuter -lfilter -lpthread -lrsspp
 
@@ -39,7 +43,7 @@
 
 
 PODBEUTER=podbeuter
-PODBEUTER_SOURCES:=$(shell cat podbeuter.deps)
+PODBEUTER_SOURCES:=$(shell cat mk/podbeuter.deps)
 PODBEUTER_OBJS:=$(patsubst %.cpp,%.o,$(PODBEUTER_SOURCES))
 PODBEUTER_LIBS=-lbeuter -lpthread
 
@@ -153,7 +157,7 @@
 	$(RM) -r $(DESTDIR)$(docdir)
 
 .PHONY: doc clean distclean all test test-rss extract install uninstall regenerate-parser clean-newsbeuter \
-	clean-podbeuter clean-libbeuter clean-librsspp clean-libfilter install-mo msgmerge clean-mo \
+	clean-podbeuter clean-libbeuter clean-librsspp clean-libfilter clean-doc install-mo msgmerge clean-mo \
 	test-clean config
 
 # the following targets are i18n/l10n-related:
@@ -183,7 +187,7 @@
 	done
 
 test: $(LIB_OUTPUT) $(NEWSBEUTER_OBJS) $(FILTERLIB_OUTPUT) $(RSSPPLIB_OUTPUT) test/test.o
-	$(CXX) $(CXXFLAGS) -o test/test src/history.o src/rss.o src/rss_parser.o src/htmlrenderer.o src/cache.o src/tagsouppullparser.o src/urlreader.o src/regexmanager.o test/test.o $(NEWSBEUTER_LIBS) $(LDFLAGS)
+	$(CXX) $(CXXFLAGS) -o test/test src/history.o src/rss.o src/rss_parser.o src/htmlrenderer.o src/cache.o src/tagsouppullparser.o src/urlreader.o src/regexmanager.o test/test.o src/ttrss_api.o $(NEWSBEUTER_LIBS) $(LDFLAGS)
 
 test-rss: $(RSSPPLIB_OUTPUT) test/test-rss.o
 	$(CXX) $(CXXFLAGS) -o test/test-rss test/test-rss.o src/utils.o $(NEWSBEUTER_LIBS) $(LDFLAGS)
@@ -194,6 +198,10 @@
 test-clean:
 	$(RM) test/test test/test.o test/test-rss test/test-rss.o
 
+profclean:
+	find . -name '*.gc*' -type f | xargs $(RM)
+	$(RM) app*.info
+
 config: config.mk
 
 config.mk:
@@ -202,4 +210,4 @@
 xlicense.h: LICENSE
 	$(TEXTCONV) $< > $@
 
-include mk.deps
+include mk/mk.deps

=== debian/changelog ===
newsbeuter (2.5-3) unstable; urgency=low

  * Bump standards version, no changes required.
  * Fix FTBFS issue due to json's switch from boolean to json_bool
    (Closes: #689225).
  * Build with hardening options.

 -- Nico Golde <nion@debian.org>  Sun, 30 Sep 2012 17:51:06 +0200

newsbeuter (2.5-2) unstable; urgency=low

  * Fix build errors with gcc-4.7 (Closes: #667296).
  * Bump standards version.

 -- Nico Golde <nion@debian.org>  Mon, 07 May 2012 21:27:20 +0200

newsbeuter (2.5-1) unstable; urgency=low

  * New upstream release (Closes: #655981).
  * Add libjson0-dev to the build dependencies.
  * Bump standards version.
  * debian/rules: add build-arch and build-indep
    targets as required by polics section 4.9.

 -- Nico Golde <nion@debian.org>  Sun, 15 Jan 2012 21:32:53 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Nico Golde <nion@debian.org>
-Build-Depends: libncursesw5-dev, debhelper (>= 7), libxml2-dev, libstfl-dev (>= 0.19), libsqlite3-dev, perl, pkg-config, libcurl4-gnutls-dev
-Standards-Version: 3.9.1
+Build-Depends: libncursesw5-dev, debhelper (>= 7), libxml2-dev, libstfl-dev (>= 0.19), libsqlite3-dev, perl, pkg-config, libcurl4-gnutls-dev, libjson0-dev
+Standards-Version: 3.9.4
 Homepage: http://www.newsbeuter.org
 
 Package: newsbeuter

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,12 @@
 # quilt support
 #include /usr/share/quilt/quilt.make
 
-CFLAGS = -Wall -g
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+CFLAGS += -Wall -g
+
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
         CFLAGS += -O0
 else
@@ -12,8 +17,13 @@
 endif
 
 export CFLAGS
+export LDFLAGS
+export CXXFLAGS
+export CPPFLAGS
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp:
 	dh_testdir

## newsbeuter 2.6

=== debian/changelog ===
newsbeuter (2.6-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version, no changes required.
  * Remove fix_gcc-4.7_ftbfs.patch, included upstream.
  * Update fix_json_boolean_include.patch.
  * Bump compat level to 9, adjust debhelper dependency.
  * Hardening: switch to dpkg-dev >= 1.16.1~ and use buildflags.mk.


 -- Nico Golde <nion@debian.org>  Wed, 20 Mar 2013 20:28:55 +0100

## newsbeuter 2.7

=== Makefile ===
--- 
+++ 
@@ -157,7 +157,7 @@
 	$(RM) -r $(DESTDIR)$(docdir)
 
 .PHONY: doc clean distclean all test test-rss extract install uninstall regenerate-parser clean-newsbeuter \
-	clean-podbeuter clean-libbeuter clean-librsspp clean-libfilter clean-doc install-mo msgmerge clean-mo \
+	clean-podbeuter clean-libbeuter clean-librsspp clean-libfilter install-mo msgmerge clean-mo \
 	test-clean config
 
 # the following targets are i18n/l10n-related:
@@ -187,7 +187,7 @@
 	done
 
 test: $(LIB_OUTPUT) $(NEWSBEUTER_OBJS) $(FILTERLIB_OUTPUT) $(RSSPPLIB_OUTPUT) test/test.o
-	$(CXX) $(CXXFLAGS) -o test/test src/history.o src/rss.o src/rss_parser.o src/htmlrenderer.o src/cache.o src/tagsouppullparser.o src/urlreader.o src/regexmanager.o test/test.o src/ttrss_api.o $(NEWSBEUTER_LIBS) $(LDFLAGS)
+	$(CXX) $(CXXFLAGS) -o test/test src/history.o src/rss.o src/rss_parser.o src/htmlrenderer.o src/cache.o src/tagsouppullparser.o src/urlreader.o src/regexmanager.o test/test.o src/ttrss_api.o src/markreadthread.o $(NEWSBEUTER_LIBS) $(LDFLAGS)
 
 test-rss: $(RSSPPLIB_OUTPUT) test/test-rss.o
 	$(CXX) $(CXXFLAGS) -o test/test-rss test/test-rss.o src/utils.o $(NEWSBEUTER_LIBS) $(LDFLAGS)

=== debian/changelog ===
newsbeuter (2.7-1) unstable; urgency=low

  * New upstream release.

 -- Nico Golde <nion@debian.org>  Mon, 02 Sep 2013 14:23:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Nico Golde <nion@debian.org>
-Build-Depends: libncursesw5-dev, debhelper (>= 7), libxml2-dev, libstfl-dev (>= 0.19), libsqlite3-dev, perl, pkg-config, libcurl4-gnutls-dev, libjson0-dev
+Build-Depends: libncursesw5-dev, debhelper (>= 9), libxml2-dev, libstfl-dev (>= 0.19), libsqlite3-dev, perl, pkg-config, libcurl4-gnutls-dev, libjson0-dev, dpkg-dev (>= 1.16.1~)
 Standards-Version: 3.9.4
 Homepage: http://www.newsbeuter.org

=== debian/rules ===
--- 
+++ 
@@ -4,22 +4,15 @@
 # quilt support
 #include /usr/share/quilt/quilt.make
 
-CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
-CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
-CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
-LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
-CFLAGS += -Wall -g
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
         CFLAGS += -O0
 else
         CFLAGS += -O2
 endif
-
-export CFLAGS
-export LDFLAGS
-export CXXFLAGS
-export CPPFLAGS
 
 build: build-arch build-indep
 build-arch: build-stamp

=== debian/watch ===
version=3
http://www.newsbeuter.org/downloads/newsbeuter-?_?([\d+\.]+|\d+)\.tar.* debian uupdate
